/* ==========================================================================
   Share And Permissions Modals
   ========================================================================== */

.modal-share,
.modal-permissions {
    display: block;
    opacity: 0;
    position: fixed;
    top: 7rem;
    left: calc(50vw - 300px);
    width: 80%;
    max-width: 600px;
    background: rgba(255, 255, 255, 0.92);
    z-index: -1;
    border-radius: var(--border-radius-p);
    padding: 1rem 2rem 1.8rem;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.07), 0 0 2px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    transition: opacity .3s cubic-bezier(.15, .2, .1, 1), z-index .7s step-end;
}

.modal-share.modal.active,
.modal-permissions.modal.active {
    z-index: 10000;
    opacity: 1;
    transition: opacity .5s cubic-bezier(.15, .2, .1, 1);
}

.modal-permissions.modal.active {
    z-index: 1000001 !important;
}

@media only screen and (max-width: 640px) {
    .modal-share,
    .modal-permissions {
        top: 0.8rem;
        left: 0.8rem;
        width: calc(100% - 1.6rem);
        max-height: calc(100% - 1.6rem);
    }

    .modal-share.modal.active,
    .modal-permissions.modal.active {
        z-index: 10000 !important;
    }

    .modal-permissions.modal.active {
        z-index: 1000001 !important;
    }

    .modal-share-shared-with-email-outer.scrolling {
        height: auto;
        max-height: calc(40vh) !important;
    }
}

.modal-share-input-inner,
.modal-permissions-input-email {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    border-radius: 30px !important;
    min-height: 54px !important;
    background: rgb(202 202 202 / 20%) !important;
    overflow: hidden;
    padding: 0.3rem 0.3rem !important;
    text-align: left !important;
    box-shadow: inset 0 2px 8px rgba(0, 0, 0, 0.07) !important;
    outline: none !important;
    border: none !important;
}

input.modal-permissions-input-email:focus {
    outline: none !important;
    border: none !important;
    background: rgb(227 234 233) !important;
    box-shadow: inset 0 2px 8px rgba(0, 0, 0, 0.09) !important;
}

.modal-share-input-pill-container {
    display: inline-block;
}

.modal-share-input-pill {
    display: none;
    position: relative;
    padding: 0;
    margin: 0;
    height: 0;
}

.modal-share-input-pill.active {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.4rem;
    font-size: 0.85rem;
    line-height: 2.3;
    padding: 0.1rem 0.7rem 0.1rem 0.8rem;
    border-radius: 100px;
    background: #ebffc8;
    margin: 0.2rem;
    height: 36px;
    transition: 0.3s all;
}

.modal-share-input-pill.active i {
    width: 16px;
    height: 16px;
    background: url(/wp-content/uploads/2024/12/icon-x-b-bold.svg) color-mix(in srgb, var(--color-black) 10%, transparent);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 6px;
    top: 10px;
    right: 9px;
    border-radius: 100px;
    opacity: 0.8;
    cursor: pointer;
    transition: 0.3s all;
}

.modal-share-input-pill.active i:hover {
    background-color: color-mix(in srgb, var(--color-black) 20%, transparent);
    opacity: 1;
    transform: scale(1.1);
}

.modal-share-input-inner input {
    background: none;
    padding: 0.5rem 0.7rem;
    display: inline-block;
    width: 100%;
    margin: 0;
    border: 0;
    min-height: 42px;
    color: var(--text-primary);
}

.modal-share-input-inner input:focus {
    border: none;
    box-shadow: none;
}

.modal-share-input-row {
    margin-bottom: 1rem;
}

.modal-share-shared-with-email span {
    font-size: 0.9rem;
}

.modal-share-input-error {
    font-size: 0.85rem;
    padding: 0;
    height: 0;
    line-height: 0;
    opacity: 0;
    transition: 0.3s all;
    color: #237b5f;
}

.modal-share-input-error.active {
    padding: 0 4px;
    height: 2.4rem;
    line-height: 1.4rem;
    opacity: 1;
    margin: 1rem 0;
}

#modal-share-input-email::placeholder {
    color: #a7afad !important;
}

@media only screen and (max-width: 640px) {
    .modal-share-input-error.active {
        margin: 1rem 0 2rem;
    }
}

.modal-share-shared-with-row {
    display: none;
}

.modal-share-shared-with-row.active {
    display: block;
}

.modal-button-row.modal-share-button-row {
    margin-top: 1.6rem !important;
}

.modal-share-shared-with-row h4,
.modal-share-shared-with-row {
    font-size: 0.9rem;
}

.modal-share-shared-with-email.active {
    height: 40px;
    position: relative;
    padding-left: 2.3rem;
    font-size: 0.85rem;
}

.modal-share-shared-with-email.active:before {
    content: "";
    width: 28px;
    height: 28px;
    display: inline-block;
    border-radius: 100px;
    background: url(https://palomarr.com/wp-content/uploads/2024/08/icon-mail-g-2.svg) #d3e1dc;
    position: absolute;
    top: 3px;
    left: 0;
    background-size: 14px;
    background-repeat: no-repeat;
    background-position: 7px 7px;
}

.modal-overlay.modal-permissions-overlay.active {
    z-index: 1000000 !important;
}

.modal-share-shared-with-email-outer {
    transform: translate3d(0px, 0px, 0px);
}

.modal-share-shared-with-email-outer.scrolling {
    max-height: 200px;
    overflow: scroll;
    position: relative;
    -webkit-mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 15%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
    mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 15%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
}

.modal-share-shared-with-email.active:first-child {
    margin-top: 0.5rem;
}

.modal-share-shared-with-email.active:nth-last-child(2) {
    margin-bottom: 0.5rem;
}

span.modal-share-company-outer,
.modal-permissions-rfp-outer {
    font-size: 0.8rem;
    background: rgba(255, 255, 255, 0.7);
    border-radius: 100px;
    padding: 0.3rem 0.8rem 0.3rem 1.9rem;
    position: relative;
    margin-left: 1.3rem;
    display: inline-block;
    line-height: 1.2rem;
}

.modal-title-text {
    line-height: 2rem;
}

img.modal-share-api-share-logo,
.modal-permissions-rfp-icon {
    width: 1.1rem;
    border-radius: 100px;
    position: absolute;
    top: 0.35rem;
    left: 0.4rem;
}

.modal-permissions-input-email {
    padding: 0 10rem 0 1.4rem !important;
}

.modal-permissions-input-row {
    position: relative;
}

body[data-fancy-form-rcs="1"] .modal-permissions .input-action-row {
    display: flex;
    align-items: center;
    position: absolute;
    top: 0.4rem;
    right: 0.4rem;
}

body[data-fancy-form-rcs="1"] .modal-permissions .select2-container--default .select2-selection--single,
.rfp-card-footer-user-role-display,
.modal-permissions .select2-selection--multiple {
    height: 2rem !important;
    background: none !important;
    border: 1px solid rgba(0, 0, 0, 0.1) !important;
    padding: 0 1.8rem 0 0.9rem !important;
    margin: 0 1rem 0.04rem;
    border-radius: 100px !important;
    position: relative;
}

body[data-fancy-form-rcs="1"] .modal-permissions .select2-container--default.select2-container--disabled span.select2-selection.select2-selection--single {
    border: none !important;
    cursor: default;
    padding: 0 !important;
    margin: 0 !important;
}

body[data-fancy-form-rcs="1"] .modal-permissions .select2-container--default.select2-container--disabled span.select2-selection__arrow:after {
    content: none !important;
}

body[data-fancy-form-rcs="1"] .modal-permissions .select2-container--default .select2-selection--single:hover,
body[data-fancy-form-rcs="1"] .modal-permissions .select2-container--default .select2-selection--single:focus,
.modal-permissions .select2-selection--multiple:hover,
.modal-permissions .select2-selection--multiple:focus {
    border: 1px solid rgba(0, 0, 0, 0.2) !important;
}

body[data-fancy-form-rcs="1"] .modal-permissions .select2-container--default .select2-selection--single .select2-selection__rendered,
.rfp-card-footer-user-role-display {
    line-height: 1.85rem !important;
    padding: 0;
    font-size: 0.8rem;
    color: var(--text-dark) !important;
}

.modal-permissions .select2-selection__choice {
    background-color: #eaf2ef !important;
    border: 1px solid #dce6e2 !important;
    border-radius: 5px !important;
    color: #333;
    margin: 2px !important;
}

body[data-fancy-form-rcs="1"] .modal-permissions span.select2-selection__arrow:after {
    top: 10px;
    left: 25px;
    background-size: 0.7rem !important;
    filter: none;
}

.modal-permissions .modal-input-button {
    width: 2.6rem !important;
    color: white;
    min-height: 2.6rem !important;
    font-size: 0 !important;
    background-image: url(/wp-content/uploads/2025/03/icon-add-user-w.svg);
    background-repeat: no-repeat;
    background-size: 1.2rem;
    background-position: center;
    padding: 0 !important;
}

.modal-permissions .modal-header-row>* {
    display: inline-block;
    margin: 0 !important;
}

.modal-permissions .modal-header-row {
    display: flex;
    align-items: center;
    margin: 0.6rem 0 2rem;
    position: relative;
    gap: 1rem;
}

.modal-permissions-rfp-outer {
    top: unset !important;
    height: 32px;
    padding: 0.35rem 0.8rem 0.3rem 2rem;
}

img.modal-permissions-rfp-icon {
    filter: invert(47%) sepia(18%) saturate(1326%) hue-rotate(112deg) brightness(99%) contrast(86%);
    border-radius: 0;
    width: 0.7rem;
    margin: 0.25rem 0 0 0.4rem;
}

.modal-permissions-users-row h4.modal-subtitle {
    display: flex;
    align-items: center;
}
